%global oname	KDiskMark
%global singleapplication_commit f1e15081dc57a9c03f7f4f165677f18802e1437a
%global singleapplication_shortcommit %(c=%{singleapplication_commit}; echo ${c:0:7})

Name:		kdiskmark
Summary:	A simple open-source disk benchmark tool
Version:	3.1.4
Release:	%mkrel 2
License:	GPLv3
Group:		System/Kernel and hardware
Url:		https://github.com/JonMagon/KDiskMark
Source0:	https://github.com/JonMagon/KDiskMark/archive/%{version}/KDiskMark-%{version}.tar.gz
Source1:	https://github.com/itay-grudev/SingleApplication/archive/%{singleapplication_commit}/singleapplication-%{singleapplication_shortcommit}.tar.gz
# Upstream branch patches
Patch0001:	0001-docs-update-Arch-documentation.patch
Patch0002:	0002-Add-icons-to-menu-items.patch
Patch0003:	0003-Added-finnish-translation.patch
Patch0004:	0004-Added-finnish-translation.patch
Patch0005:	0005-Finland-flag-asset.patch
Patch0006:	0006-Integrate-Finnish-translation.patch
Patch0007:	0007-Migrate-to-Qt-6-145.patch

BuildRequires:	cmake
BuildRequires:	cmake(ECM)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(PolkitQt6-1)
Requires:	fio

Provides:	bundled(singleapplication) = 3.4.0

%description
KDiskMark is an HDD and SSD benchmark tool with a very friendly graphical user
interface. KDiskMark with its presets and powerful GUI calls Flexible I/O
Tester and handles the output to provide an easy to view and interpret
comprehensive benchmark result.

%prep
%autosetup -p1 -n KDiskMark-%{version} -a1

rm -rf src/singleapplication
ln -sf ${PWD}/SingleApplication-%{singleapplication_commit} src/singleapplication

%build
%cmake_qt6 -DQT_DEFAULT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_bindir}/kdiskmark
%{_datadir}/applications/kdiskmark.desktop
%{_iconsdir}/hicolor/*/apps/kdiskmark.*
%{_libexecdir}/kdiskmark_helper
%{_datadir}/dbus-1/system-services/dev.jonmagon.kdiskmark.helperinterface.service
%{_datadir}/dbus-1/system.d/dev.jonmagon.kdiskmark.*.conf
%{_datadir}/polkit-1/actions/dev.jonmagon.kdiskmark.helper.policy


%changelog
* Tue May 07 2024 daviddavid <daviddavid> 3.1.4-2.mga10
+ Revision: 2062690
- update staging queue as of 2024-05-05 to switch to Qt6

* Mon May 06 2024 daviddavid <daviddavid> 3.1.4-1.mga10
+ Revision: 2062588
- new version: 3.1.4

* Sat Dec 17 2022 neoclust <neoclust> 3.1.2-1.mga9
+ Revision: 1924428
- New version 3.1.2

* Sun Aug 28 2022 wally <wally> 3.0.0-1.mga9
+ Revision: 1881453
- new version 3.0.0

* Fri Apr 08 2022 wally <wally> 2.3.0-2.mga9
+ Revision: 1848165
- require kauth

* Fri Apr 08 2022 wally <wally> 2.3.0-1.mga9
+ Revision: 1848110
- new version 2.3.0

* Tue Apr 05 2022 umeabot <umeabot> 2.2.1-2.mga9
+ Revision: 1844489
- Mageia 9 Mass Rebuild

* Mon Jul 26 2021 wally <wally> 2.2.1-1.mga9
+ Revision: 1737846
- new version 2.2.1

* Sat Feb 27 2021 wally <wally> 2.2.0-1.mga9
+ Revision: 1692895
- new version 2.2.0

* Sat Jan 02 2021 wally <wally> 2.1.0-1.mga8
+ Revision: 1668161
- new version 2.1.0

* Thu Dec 17 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1658686
- Rebuild for new Qt5

* Sun Nov 29 2020 wally <wally> 2.0.0-1.mga8
+ Revision: 1650176
- imported package kdiskmark

